pkgname=lunaos-dracut-support
pkgdesc="Dracut support for LunaOS"
pkgver=1.3
pkgrel=4
arch=('any')
backup=('etc/default/dracut')
license=('GPL')
source=("05-lunaos.conf" "dracut-install" "dracut-rebuild" "dracut-remove" "90-dracut-install.hook" "72-dracut-remove.hook" "dracut" "snapshot-overlay.sh" "module-setup.sh")
depends=('dracut' 'zstd' 'tpm2-tools' 'nvme-cli' 'binutils' 'memstrack' 'procps-ng')
conflicts=('dracut-hook')
sha256sums=('31f78d41be25391144d381cc7bd5d5f40fe970b45bd26cfd6630948f0625f90b'
            '2f4bd06edd933d3d75c7ea7d56d4558212d9768bcaf7bbc03f4a9ed458891652'
            '290a665b86ee0a39c5df60363a65a8c47bcc7191ef3a1feac733bf9fa295d32d'
            '6d27bfa8c17d5d3e8cf82db871832dfc86d580ab69736fba5528b874c245d915'
            '20561d015f0434bb5d373b7d6f9e0cc7babe33e170475785ae49f01271190090'
            '23109cdbaf01e3ee00b8e10e1d6252c5ff9b2c3f88cd20fdae5b0a7c210bc14f'
            '52e83397510ebd0e64c06ae56b8c2a8aad121502395cef6e02e2c9d6245abaa5'
            'dfc3fe86f978760302d32c22a7c8fcaac0b25150f71b94466e7d32ef4de2e3db'
            '50da101b4ce0f0d276455bf6a23532471b7be1e16a77e823f45ea72188af4d8e')
package() {
	cd "$srcdir" || exit
	# Dracut config
	install -Dm644 05-lunaos.conf "$pkgdir"/usr/lib/dracut/dracut.conf.d/05-lunaos.conf
	install -Dm644 dracut "${pkgdir}"/etc/default/dracut

	# Custom dracut module to create an overlayfs if booted from a snapshot
	install -Dm755 snapshot-overlay.sh "$pkgdir"/usr/lib/dracut/modules.d/91btrfs-snapshot-overlay/snapshot-overlay.sh
	install -Dm755 module-setup.sh "$pkgdir"/usr/lib/dracut/modules.d/91btrfs-snapshot-overlay/module-setup.sh

	# Custom version of dracut-hook on the AUR
	install -Dm644 90-dracut-install.hook "${pkgdir}/usr/share/libalpm/hooks/90-dracut-install.hook"
	install -Dm644 72-dracut-remove.hook "${pkgdir}/usr/share/libalpm/hooks/72-dracut-remove.hook"
	install -Dm755 dracut-install "${pkgdir}/usr/share/libalpm/scripts/dracut-install"
	install -Dm755 dracut-remove "${pkgdir}/usr/share/libalpm/scripts/dracut-remove"

	# Rebuild script
	install -Dm755 dracut-rebuild "${pkgdir}/usr/bin/dracut-rebuild"
}
